# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.0.1] - 2025-06-19

### Added
- Initial release of DAO AI multi-agent orchestration framework
- Support for Databricks Vector Search integration
- LangGraph-based workflow orchestration
- YAML-based configuration system
- Multi-agent supervisor and swarm patterns
- Unity Catalog integration
- MLflow model packaging and deployment
- Command-line interface (CLI)
- Python API for programmatic access
- Built-in guardrails and evaluation capabilities
- Retail reference implementation

### Features
- **Multi-Modal Interface**: CLI commands and Python API
- **Agent Lifecycle Management**: Create, deploy, and monitor agents
- **Vector Search Integration**: Built-in Databricks Vector Search support
- **Configuration-Driven**: YAML-based configuration with validation
- **MLflow Integration**: Automatic model packaging and deployment
- **Monitoring & Evaluation**: Built-in assessment capabilities

[Unreleased]: https://github.com/natefleming/dao-ai/compare/v0.0.1...HEAD
[0.0.1]: https://github.com/natefleming/dao-ai/releases/tag/v0.0.1
