# 🎬 Demo Alert System - Quick Start Guide

## How to Trigger Alerts in 5 Seconds

### **Step 1: Access Store Manager Role**
1. **Open the app** and go to the sidebar
2. **Select "Store Manager"** from the role dropdown
3. **Demo Controls will appear** automatically in the sidebar

### **Step 2: Start Demo**
1. **Look for "🎬 Demo Controls"** section in the sidebar
2. **Click "▶️ Start Demo"** (blue primary button)
3. **First alert appears in 5 seconds!**

### **Step 3: View Demo Alerts**
1. **Stay on the main Dashboard** (default view)
2. **Demo alerts appear at the top** of the dashboard automatically
3. **New alerts appear automatically** every 15-20 seconds

## 📋 Demo Alert Timeline

| **Time** | **Alert Type** | **Severity** | **Description** |
|----------|----------------|--------------|-----------------|
| **5s** | VIP Customer Alert | 🚨 Urgent | Platinum Member needs personal shopper |
| **20s** | Inventory Critical | 🚨 Urgent | Premium handbags low stock |
| **40s** | Staff Emergency | 🚨 Urgent | Electronics dept coverage needed |
| **65s** | System Alert | ⚠️ Important | POS terminal connectivity issues |
| **85s** | Opportunity Alert | ⚠️ Important | Winter coats selling above forecast |

## 🎯 Features

### **Automatic Features**
- ✅ **Auto-refresh**: Dashboard refreshes every 3 seconds during demo
- ✅ **Toast notifications**: Pop-up alerts when new alerts appear
- ✅ **Progress tracking**: Shows demo completion status in sidebar
- ✅ **Timeline display**: See upcoming alerts in sidebar

### **Interactive Features**
- 🎛️ **Start/Stop controls** in sidebar
- ✅ **Resolve alerts** individually on dashboard
- 📱 **Responsive design** for all screen sizes
- 🎪 **Compact display** at top of dashboard

## 🔧 Controls Location

**Sidebar Demo Controls:**
- **Location**: Appears when "Store Manager" role is selected
- **Features**: Start/Stop buttons, progress bar, alert timeline
- **Status**: Shows countdown to next alert

**Main Dashboard:**
- **Location**: Top of Store Manager dashboard (default view)
- **Features**: Live alert display, resolve buttons, compact format
- **Auto-refresh**: Updates every 3 seconds during demo

## 🎪 Perfect for Demos

### **Client Presentations**
1. **Pre-demo**: Select Store Manager role
2. **During presentation**: Click "Start Demo" 
3. **Showcase**: First alert appears on dashboard in 5 seconds
4. **Narrative**: Stay on main dashboard - no navigation needed
5. **Interaction**: Show alert details and resolution inline

### **Training Sessions**
- **No navigation required**: Alerts appear immediately on main dashboard
- **Realistic timing**: Alerts spaced 15-20 seconds apart
- **Multiple scenarios**: VIP customers, inventory, staff, systems
- **Interactive learning**: Trainees can resolve alerts
- **Progress tracking**: See completion status in sidebar

## 🛠️ Troubleshooting

**Demo not starting?**
- ✅ Ensure you're in "Store Manager" role
- ✅ Check sidebar for demo controls
- ✅ Try refreshing the page

**Alerts not appearing?**
- ✅ Stay on the main "Dashboard" tab (default view)
- ✅ Wait 5 seconds for first alert
- ✅ Alerts appear at the top of the dashboard

**Demo controls missing?**
- ✅ Switch to "Store Manager" role in sidebar
- ✅ Demo controls only appear for store managers
- ✅ VPs and Associates don't see demo controls

## 🚀 Ready to Demo!

**Your demo system is now fully integrated and ready to use:**
- **5-second first alert** ✅
- **Sidebar controls** ✅ 
- **Dashboard display** ✅
- **Auto-refresh** ✅
- **No navigation required** ✅

**Next Steps:**
1. Select "Store Manager" role
2. Click "▶️ Start Demo" 
3. Stay on Dashboard tab
4. Watch alerts appear at the top automatically! 