USE IDENTIFIER(:database);

-- Insert sample customer data
-- These customers represent various customer types with upcoming styling appointments

INSERT INTO customers (
    customer_id, customer_name, preferred_name, customer_tier, member_since,
    email_address, phone_number, preferred_contact_method,
    preferred_store_id, preferred_stylist_id, preferred_appointment_time,
    style_preferences, size_information, color_preferences, brand_preferences, budget_range,
    total_lifetime_spend, average_transaction_value, last_visit_date, last_purchase_date,
    visit_frequency, seasonal_preferences,
    special_occasions, dietary_restrictions, accessibility_needs, language_preference, cultural_considerations,
    styling_sessions, satisfaction_score, last_feedback, service_notes,
    next_appointment_date, appointment_type, appointment_purpose, preparation_notes,
    family_members, gift_history, referral_source,
    customer_status, priority_level, requires_manager_greeting, customer_alerts,
    created_at, updated_at, created_by, updated_by
) VALUES

-- Premium Tier Customer
('CUST-001', 'Sarah Elizabeth Johnson', 'Sarah', 'Premium', '2019-03-15',
'sarah.johnson@email.com', '+1-415-555-0123', 'email',
'101', 'EMP-016', 'Weekday afternoons 2-4 PM',
'Classic professional with modern touches, loves tailored pieces and quality fabrics. Prefers timeless investment pieces over trendy items.',
'{"tops": "Medium", "bottoms": "8", "dresses": "8", "shoes": "8.5", "fit_notes": "Prefers slightly loose fit in blazers, petite length needed"}',
'Navy, cream, camel, soft pastels. Avoids bright colors and neon.',
'Theory, Eileen Fisher, St. John, Store brand premium. Avoids fast fashion.',
'$800-1500 per visit',
45600.00, 1140.00, '2024-11-28', '2024-11-28',
'Monthly', 'Spring: lighter fabrics and pastels. Fall: investment coats and boots.',
'{"birthday": "2024-04-15", "anniversary": "2024-09-22", "work_events": "Quarterly board meetings"}',
'Gluten-free', NULL, 'English', NULL,
18, 4.9, 'Absolutely love working with Isabella - she understands my style perfectly!',
'Always punctual. Prefers private styling room. Likes to see complete outfits styled together.',
'2024-12-20 14:00:00', 'Personal Styling', 'Holiday party wardrobe refresh',
'Customer mentioned needing elegant cocktail attire for company holiday events. Focus on versatile pieces that work for multiple occasions.',
'{"spouse": "Michael Johnson", "children": ["Emma (16)", "James (14)"]}',
'{"2023-holiday": "Cashmere scarf for mother", "2024-birthday": "Designer handbag for daughter"}',
'Referral from existing Premium member',
'active', 'high', true, 'Prefers Isabella as stylist. Always offers refreshments.',
CURRENT_TIMESTAMP(), CURRENT_TIMESTAMP(), 'system', 'system'),

-- Gold Tier Customer  
('CUST-002', 'Dr. Maria Elena Rodriguez', 'Maria', 'Gold', '2021-07-20',
'maria.rodriguez@medical.com', '+1-415-555-0234', 'phone',
'101', 'EMP-017', 'Saturday mornings 10-12 PM',
'Professional medical attire with sophisticated weekend looks. Appreciates quality and comfort for long work days.',
'{"tops": "Small", "bottoms": "6", "dresses": "6", "shoes": "7", "fit_notes": "Petite sizing needed, prefers stretch fabrics for comfort"}',
'Rich jewel tones, burgundy, emerald, navy. Avoids pastels.',
'Store Collection, Premium brands. Open to new brands.',
'$600-1000 per visit',
28900.00, 825.00, '2024-12-05', '2024-12-05',
'Bi-monthly', 'Needs professional wardrobe updates twice yearly.',
'{"birthday": "2024-08-10", "medical_conferences": "Spring and Fall"}',
'Vegetarian', NULL, 'English/Spanish', 'Appreciates bilingual service',
12, 4.7, 'Great selection of professional pieces. Would like to see more weekend casual options.',
'Busy schedule - appreciates efficient appointments. Likes to try everything on before deciding.',
'2024-12-22 10:30:00', 'Wardrobe Consultation', 'Professional wardrobe update for new role',
'Recently promoted to department head. Needs elevated professional pieces that project authority while remaining approachable.',
'{"spouse": "Carlos Rodriguez", "children": ["Sofia (12)", "Diego (9)"]}',
'{"2024-mothers-day": "Jewelry for mother-in-law"}',
'Social media advertisement',
'active', 'high', false, 'Prefers morning appointments. Appreciates efficiency.',
CURRENT_TIMESTAMP(), CURRENT_TIMESTAMP(), 'system', 'system'),

-- Silver Tier Customer
('CUST-003', 'Emma Catherine Wilson', 'Emma', 'Silver', '2022-11-10',
'emma.wilson@creative.com', '+1-415-555-0345', 'text',
'102', 'EMP-020', 'Weekends 1-3 PM',
'Creative professional with eclectic style. Loves mixing high-end with unique pieces. Fashion-forward but wearable.',
'{"tops": "Large", "bottoms": "12", "dresses": "12", "shoes": "9", "fit_notes": "Prefers relaxed fit, loves statement pieces"}',
'Bold colors, patterns, metallics. Loves experimenting with color.',
'Contemporary brands, Store exclusives. Loves discovering new brands.',
'$400-800 per visit',
18750.00, 625.00, '2024-12-10', '2024-12-08',
'Monthly', 'Seasonal trend updates, loves transitional pieces.',
'{"birthday": "2024-02-28", "art_gallery_openings": "Monthly", "creative_events": "Ongoing"}',
NULL, NULL, 'English', NULL,
8, 4.6, 'Love the creative styling! Would appreciate more avant-garde options.',
'Very creative and open to trying new styles. Enjoys the styling process and likes to collaborate on looks.',
'2024-12-21 13:00:00', 'Personal Styling', 'Holiday event styling',
'Attending multiple holiday art gallery events. Needs versatile pieces that make a statement but work across different venues.',
'{"partner": "Alex Chen"}',
'{"2024-holiday": "Vintage jewelry for partner"}',
'Instagram influencer program',
'active', 'medium', false, 'Enjoys collaborative styling sessions. Loves trying new trends.',
CURRENT_TIMESTAMP(), CURRENT_TIMESTAMP(), 'system', 'system'),

-- Standard Tier Customer with upcoming appointment
('CUST-004', 'Jennifer Anne Park', 'Jen', 'Standard', '2023-05-15',
'jen.park@tech.com', '+1-415-555-0456', 'email',
'103', 'EMP-023', 'Weekday evenings 6-8 PM',
'Tech professional transitioning to more polished looks. Appreciates versatile pieces that work from office to dinner.',
'{"tops": "Medium", "bottoms": "10", "dresses": "10", "shoes": "8", "fit_notes": "Athletic build, prefers structured pieces"}',
'Neutrals with pops of color, navy, black, burgundy.',
'Store brand, Mid-range brands. Open to recommendations.',
'$300-600 per visit',
8950.00, 450.00, '2024-11-15', '2024-11-15',
'Quarterly', 'Seasonal wardrobe updates.',
'{"birthday": "2024-06-20", "work_conferences": "Tech conferences quarterly"}',
NULL, NULL, 'English', NULL,
4, 4.4, 'Helpful styling advice. Would like more options in my price range.',
'New to personal styling. Appreciates education about fit and styling tips.',
'2024-12-23 18:00:00', 'Personal Styling', 'New Year professional refresh',
'Starting new job in January. Needs polished professional pieces that work in tech environment.',
'{"roommate": "Lisa Kim"}',
'{}',
'Friend referral',
'active', 'medium', false, 'New to styling services. Appreciates guidance and education.',
CURRENT_TIMESTAMP(), CURRENT_TIMESTAMP(), 'system', 'system'),

-- High-value Premium customer
('CUST-005', 'Victoria Alexandra Sterling', 'Victoria', 'Premium', '2018-01-20',
'victoria.sterling@luxury.com', '+1-415-555-0567', 'phone',
'101', 'EMP-016', 'Tuesday/Thursday 11 AM-1 PM',
'Ultra-luxury aesthetic. Prefers designer pieces and exclusive items. Very particular about quality and presentation.',
'{"tops": "Small", "bottoms": "4", "dresses": "4", "shoes": "7.5", "fit_notes": "Requires perfect fit, often needs alterations"}',
'Classic neutrals: black, white, cream, camel. Occasional jewel tones.',
'Designer brands, Luxury exclusives. Only premium quality.',
'$2000-4000 per visit',
125000.00, 2500.00, '2024-12-01', '2024-12-01',
'Bi-weekly', 'Seasonal designer collections, pre-orders new arrivals.',
'{"birthday": "2024-03-12", "charity_galas": "Monthly", "travel": "Frequent international travel"}',
'No shellfish', 'Prefers private entrance when possible', 'English/French', 'Appreciates European luxury service standards',
35, 4.8, 'Exceptional service as always. Please ensure new collections are shown first.',
'Extremely discerning. Requires white-glove service. Prefers to see pieces before they hit the floor. Manager greeting essential.',
'2024-12-19 11:00:00', 'Private Styling', 'New Year charity gala preparation',
'Major charity gala on New Year\'s Eve. Needs show-stopping gown and accessories. Budget is flexible for the right piece.',
'{"spouse": "Richard Sterling", "children": ["Sophia (22)", "Alexander (19)"]}',
'{"2024-anniversary": "Custom jewelry for spouse", "2024-graduation": "Designer watch for son"}',
'Founding member',
'active', 'high', true, 'Requires manager greeting. Prefers Isabella exclusively. Offer premium service.',
CURRENT_TIMESTAMP(), CURRENT_TIMESTAMP(), 'system', 'system'); 